Bio::MAGETAB::Data(3)

NAME
Bio::MAGETAB::Data - Abstract data class

SYNOPSIS
 use Bio::MAGETAB::Data;

DESCRIPTION
This class is an abstract class from which all MAGE-TAB Data classes (DataFile, DataMatrix) are derived. It cannot be instantiated directly. See the Node class for superclass methods.

ATTRIBUTES

uri (required)
    The URI where the data can be found (data type: Uri).

dataType (required)
    The type of the data (typically raw or derived; data type: Bio::MAGETAB::ControlledTerm).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::Node

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).